use std::{path::PathBuf, sync::Arc};

use async_trait::async_trait;

pub mod github;

#[async_trait]
pub trait GitProvider {
    async fn clone_from_url(&self, url: String) -> eyre::Result<PathBuf>;
}

pub type DynGitProvider = Arc<dyn GitProvider + Send + Sync>;
